# Get Component Get Component by id. Endpoint: GET /components/{componentId} Version: v1 Security: bearerAuth ## Path parameters: - `componentId` (integer, required) ID of the Component Example: 1 ## Query parameters: - `includeVersions` (boolean) If true, display version details(Default is true) - `vulnerabilitySummary` (boolean) If true , display vulnerability summary details and hide vulnerability list - `cvssVersion` (string) CVSS Version : This field is required only if vulnerabilitySummary is set to true Enum: "V2", "V3", "ANY" ## Response 200 fields (application/json): - `name` (string, required) name Example: "Comp1" - `title` (string, required) title Example: "Component1" - `url` (string, required) url Example: "http://abc@xyz.com | NA" - `description` (string) description Example: "This is a custom component." - `encryption` (string) encryption Enum: "YES", "NO" - `forgeId` (integer) forgeId - `purl` (string) purl Example: "pkg:maven/org.apache/commons-lang3" - `id` (integer) - `forge` (string) - `versionList` (array) - `versionList.vulnerabilitySummary` (array) - `licenseList` (array) - `licenseList.shortName` (string, required) shortName Example: "GPL" - `licenseList.licenseText` (string, required) licenseText Example: "License Text" - `licenseList.priority` (string) priority Enum: "P1", "P2", "P3" - `licenseList.familyName` (string) familyName Example: "License family" - `licenseList.externalId` (string) externalId Example: "External License Id Eg: 156" - `componentCPEList` (array) - `componentCPEList.cpeName` (string) cpeName Example: "E.g. cpe://a:gnome:gedit" - `componentCPEList.cpeVendor` (string) cpeVendor Example: "Vendor name" - `componentCPEList.cpeProduct` (string) cpeProduct Example: "Product name" - `createdBy` (string) - `createdOn` (string) - `updatedBy` (string) - `updatedOn` (string) ## Response 404 fields ## Response 500 fields